> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md).

# medcrypt::guardian::AuthenticationManager

인증 제한을 담는 컨테이너입니다.

`#include <AuthenticationManager.h>`

## 공개 함수

<table data-header-hidden><thead><tr><th>이름</th><th>설명</th><th data-hidden></th></tr></thead><tbody><tr><td>이름</td><td></td><td></td></tr><tr><td><a href="#function-~authenticationmanager"><strong>~AuthenticationManager</strong></a>()</td><td>소멸자입니다.</td><td></td></tr><tr><td><a href="#function-getrestrictions"><strong>GetRestrictions</strong></a>(std::list&#x3C; <a href="/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md">AuthenticationDomain</a> > * out_restrictions_by_domain)</td><td>모든 제한을 가져옵니다.</td><td><a href="/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status">상태</a></td></tr><tr><td><a href="#function-getrestrictionbyservice"><strong>GetRestrictionByService</strong></a>(const char <em>in_service_name,</em> <a href="/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md"><em>AuthenticationDomain</em></a> out_restriction)</td><td>서비스별로 모든 제한을 가져옵니다.</td><td><a href="/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status">상태</a></td></tr></tbody></table>

### 함수 \~AuthenticationManager

```cpp
~AuthenticationManager()
```

소멸자입니다.

**매개변수**:

* **없음**

**반환값**: 없음

소멸자는 아무 작업도 수행하지 않습니다.

### 함수 GetRestrictions

```cpp
Status GetRestrictions(
    std::list< AuthenticationDomain > * out_restrictions_by_domain
)
```

모든 제한을 가져옵니다.

**매개변수**:

* **out\_restrictions\_by\_domain** 도메인과 해당 제한의 목록,

**반환값**:

* **OK** out\_restrictions\_by\_domain에 제한이 채워집니다
* **FAIL** 일반 오류입니다. out\_restrictions\_by\_domain은 수정되지 않습니다
* **BADPARAM** out\_restrictions\_by\_domain이 nullptr입니다

**반환값**: [medcrypt::guardian::Status](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

시스템의 모든 AuthenticationRestrictions 목록을 반환합니다.

### 함수 GetRestrictionByService

```cpp
Status GetRestrictionByService(
    const char * in_service_name,
    AuthenticationDomain * out_restriction
)
```

서비스별 제한을 가져옵니다.

**매개변수**:

* **in\_service\_name** 서비스 이름을 나타내는 널 종료 문자열
* **out\_restriction** in\_service\_name에 설정된 제한

**반환값**:

* **OK** out\_restriction에 in\_service\_name에 대한 제한이 채워집니다
* **FAIL** 일반 오류입니다. out\_restriction은 수정되지 않습니다
* **BADPARAM** in\_service\_name이 nullptr이거나 비어 있거나, out\_restriction이 nullptr입니다
* **MISCONFIGURED** in\_service\_name을 찾을 수 없거나 제한 공유가 구성되어 있지 않습니다

**반환값**: [medcrypt::guardian::Status](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

지정된 서비스 이름에 대한 단일 AuthenticationRestriction을 반환합니다

## 디버깅 및 로깅

Guardian은 로그 파일을 생성하지 않습니다. 대신 로깅은 애플리케이션에서 제어합니다.

* Guardian은 로그를 다음으로 출력합니다: `stdout` 및 `stderr`이러한 로그는 실행 중인 애플리케이션의 터미널/CLI에 표시됩니다. 출력에서 특정 오류 코드나 연결 실패를 확인하세요.
* **사용자 지정 로깅:** 다음을 사용하여 `SetLoggingCallback` 로그 메시지를 콜백 함수로 리디렉션할 수 있습니다. 이렇게 하면 터미널 출력이 중단되고 사용자 지정 로그 처리가 가능해집니다.
* **로그 제어:** 애플리케이션에서 로그 수준과 상세도를 제어할 수 있습니다.
* **Guardian Cloud UI**: Guardian Cloud 인터페이스에서 추가 오류 세부 정보와 프로비저닝 상태를 확인하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
